Package org.eclipse.mat.parser.internal.snapshot

# Interface IObjectMarker

All Known Implementing Classes:
  `ObjectMarker`, `ObjectMarkerOld`

public interface IObjectMarker

## Method Summary

Modifier and Type
Method
Description
`void`
`markMultiThreaded(int threads)`
`int`
`markSingleThreaded()`
`int`
`markSingleThreaded(ExcludedReferencesDescriptor[] excludeSets, ISnapshot snapshot)`

## Method Details

### markSingleThreaded

int markSingleThreaded()

### markMultiThreaded

void markMultiThreaded(int threads) throws InterruptedException

Throws:
  `InterruptedException`

### markSingleThreaded

int markSingleThreaded(ExcludedReferencesDescriptor[] excludeSets, ISnapshot snapshot) throws SnapshotException, IProgressListener.OperationCanceledException

Throws:
  `SnapshotException`
  `IProgressListener.OperationCanceledException`